/*
Copyright (C) 1999/2000 Hendrik Lipka.
All rights reserved.

This program is free software; you can redistribute it and/or modify it under the terms 
of the GNU General Public License as published by the Free Software Foundation; 
either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY 
WARRANTY; without even the implied warranty of MERCHANTABILITY or 
FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License 
for more details. 

You should have received a copy of the GNU General Public License along with this 
program; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, 
Cambridge, MA 02139, USA or see http://www.gnu.org

If you encounter problems or have a suggestion, please mail to:
hendrik.lipka@gmx.de
*/

package de.hendriklipka.ldse.client.admin.ui;

import java.awt.*;

/**
  Dieser Dialog gibt Meldungen aus, die vor der Fortfhrung des Programmes 
  bestaetigt werden muessen. Er ist daher modal.
*/
public class AttentionDialog extends Dialog 
{
	static java.util.ResourceBundle attentionDialogBundle = java.util.ResourceBundle.getBundle("de.hendriklipka.ldse.client.admin.ui.AttentionDialogBundle");

	public AttentionDialog(Frame parent, String title, String message)
	{
		super(parent,title,true);

		setLayout(new BorderLayout(5,5));
		setBackground(java.awt.Color.lightGray);
		setSize(270,134);
		setVisible(false);
		okButton.setLabel(attentionDialogBundle.getString("okButton_label"));
		add("South",okButton);
		okButton.setBounds(0,111,270,23);
		textAreaMessage.setEditable(false);
		textAreaMessage.setText("");
		add("Center",textAreaMessage);
		textAreaMessage.setBounds(0,0,270,106);
		setTitle(attentionDialogBundle.getString("AttentionDialog_title"));

    textAreaMessage.setText(message);

		SymAction lSymAction = new SymAction();
		okButton.addActionListener(lSymAction);
		setVisible(true);
	}

	public void addNotify()
	{
	    Dimension d = getSize();

		super.addNotify();

		if (fComponentsAdjusted)
			return;

		Insets insets = getInsets();
		setSize(insets.left + insets.right + d.width, insets.top + insets.bottom + d.height);
		Component components[] = getComponents();
		for (int i = 0; i < components.length; i++)
		{
			Point p = components[i].getLocation();
			p.translate(insets.left, insets.top);
			components[i].setLocation(p);
		}
		fComponentsAdjusted = true;
	}

	boolean fComponentsAdjusted = false;

	java.awt.Button okButton = new java.awt.Button();
	java.awt.TextArea textAreaMessage = new java.awt.TextArea("",0,0,TextArea.SCROLLBARS_NONE);

	class SymAction implements java.awt.event.ActionListener
	{
		public void actionPerformed(java.awt.event.ActionEvent event)
		{
			Object object = event.getSource();
			if (object == okButton)
				okButton_ActionPerformed(event);
		}
	}

	void okButton_ActionPerformed(java.awt.event.ActionEvent event)
	{
		okButton_ActionPerformed_Interaction1(event);
	}

	void okButton_ActionPerformed_Interaction1(java.awt.event.ActionEvent event)
	{
		try {
			this.dispose();
		} catch (Exception e) {
		}
	}
}
