/*
Copyright (C) 1999/2000 Hendrik Lipka.
All rights reserved.

This program is free software; you can redistribute it and/or modify it under the terms 
of the GNU General Public License as published by the Free Software Foundation; 
either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY 
WARRANTY; without even the implied warranty of MERCHANTABILITY or 
FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License 
for more details. 

You should have received a copy of the GNU General Public License along with this 
program; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, 
Cambridge, MA 02139, USA or see http://www.gnu.org

If you encounter problems or have a suggestion, please mail to:
hendrik.lipka@gmx.de
*/

package de.hendriklipka.ldse.common;

import java.io.InputStream;
import java.io.IOException;

public class DebugFilterInputStream extends java.io.FilterInputStream
{  
  public DebugFilterInputStream(InputStream in)
  {
    super(in);
    Log.log("queryserver","query",1,"DebugFilterInputStream()");
  }
  
  public int available() throws IOException
  {
    Log.log("queryserver","query",1,"DebugFilterInputStream.avaliable()");
    return super.available();
  }

  public void close() throws IOException
  {
    Log.log("queryserver","query",1,"DebugFilterInputStream.close()");
    super.close();
  }

  public void mark(int readlimit)
  {
    Log.log("queryserver","query",1,"DebugFilterInputStream.mark()");
    super.mark(readlimit);
  }

  public boolean markSupported()
  {
    Log.log("queryserver","query",1,"DebugFilterInputStream.markSupported()");
    return super.markSupported();
  }

  public int read() throws IOException
  {
    Log.log("queryserver","query",1,"DebugFilterInputStream.read()");
    return super.read();
  }

  public int read(byte[] b) throws IOException
  {
    Log.log("queryserver","query",1,"DebugFilterInputStream.read(byte[])");
    return super.read(b);
  }

  public int read(byte[] b, int off, int len) throws IOException
  {
    Log.log("queryserver","query",1,"DebugFilterInputStream.read(byte[],int,int)");
    return super.read(b,off,len);
  }

  public void reset() throws IOException
  {
    Log.log("queryserver","query",1,"DebugFilterInputStream.reset()");
    super.reset();
  }

  public long skip(long n) throws IOException
  {
    Log.log("queryserver","query",1,"DebugFilterInputStream.skip()");
    return super.skip(n);
  }
}