/*
Copyright (C) 1999/2000 Hendrik Lipka.
All rights reserved.

This program is free software; you can redistribute it and/or modify it under the terms 
of the GNU General Public License as published by the Free Software Foundation; 
either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY 
WARRANTY; without even the implied warranty of MERCHANTABILITY or 
FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License 
for more details. 

You should have received a copy of the GNU General Public License along with this 
program; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, 
Cambridge, MA 02139, USA or see http://www.gnu.org

If you encounter problems or have a suggestion, please mail to:
hendrik.lipka@gmx.de
*/

package de.hendriklipka.ldse.common;

import java.util.StringTokenizer;
import java.util.Vector;

import org.w3c.dom.*;

public class Util
{
  // terlegt einen String in einzelne Strings, wenn sie mit ';' getrennt sind
  public static String[] stringToArray(String data)
  {
    StringTokenizer st=new StringTokenizer(data,";");
    Vector v=new Vector(5,5);
    while (st.hasMoreElements())
    {
      String s=(String)st.nextElement();
      v.addElement(s);
    }
    String[] sa=new String[v.size()];
    for (int i=0;i<sa.length;i++)
    {
      sa[i]=(String)v.elementAt(i);
    }
    return sa;
  }
  
  // extrahiert den Text aus einem TEXT-Node
  public static String getTextData(Node node)
  {
    NodeList subs=node.getChildNodes();
    for (int j=0;j<subs.getLength();j++)
    {
      Node attr=subs.item(j);
      if (attr.getNodeType()!=attr.TEXT_NODE)
        continue;
      Text val=(Text)attr;
      return val.getData();
    }
    return null;
  }
}