/*
Copyright (C) 1999/2000 Hendrik Lipka.
All rights reserved.

This program is free software; you can redistribute it and/or modify it under the terms 
of the GNU General Public License as published by the Free Software Foundation; 
either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY 
WARRANTY; without even the implied warranty of MERCHANTABILITY or 
FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License 
for more details. 

You should have received a copy of the GNU General Public License along with this 
program; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, 
Cambridge, MA 02139, USA or see http://www.gnu.org

If you encounter problems or have a suggestion, please mail to:
hendrik.lipka@gmx.de
*/

package de.hendriklipka.ldse.server.data;

import java.net.URL;
import java.io.PrintStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.Reader;
import java.util.Date;

import HTTPClient.*;

import de.hendriklipka.ldse.common.HTTPConnectionPool;
import de.hendriklipka.ldse.common.Spider;

// speichert etwas mehr Informationen als eine URL...
public class URLInfo
{
  public URL _url=null;
  public URL _contextURL=null;
  public int _spiderID=0;
  public int _size=-2;
  public String _type=null;
  public String _urlStr=null;
  public int _depth=0;
  public long _checksum=0;
  public URLInfo _parent=null;
  public Spider _spider=null; // Spider, der das hier gefunden hat
  public Date _lastChanged=null;

  public Reader getReaderForURL(URL url) throws java.io.IOException
  {
    if (null!=_spider)
    {
      return _spider.getReaderForURL(url);
    }
    try
    {
      HTTPConnection con = HTTPConnectionPool.getConnection(url.getHost());
      HTTPResponse   rsp = con.Get(url.getFile()); 
      if (rsp.getStatusCode() >= 300)
      {
        throw new IOException("response contains error: "+rsp.getStatusCode());
      }
      return new InputStreamReader(rsp.getInputStream());
    }
    catch (ModuleException ex)
    {
      throw new IOException(ex.toString());
    }
  }
  
  public InputStream getInputStreamForURL(URL url) throws java.io.IOException
  {
    if (null!=_spider)
    {
      return _spider.getInputStreamForURL(url);
    }
    try
    {
      HTTPConnection con = HTTPConnectionPool.getConnection(url.getHost());
      HTTPResponse   rsp = con.Get(url.getFile()); 
      if (rsp.getStatusCode() >= 300)
      {
        throw new IOException("response contains error: "+rsp.getStatusCode());
      }
      return rsp.getInputStream();
    }
    catch (ModuleException ex)
    {
      throw new IOException(ex.toString());
    }
  }
}